Project Instance
API endpoint that allows projects to be viewed or edited.
GET /api/v2/projects/105/?format=api
{ "id": 105, "name": "Binary Classifier Test", "description": "Test the binary classifier running as the primary classifier", "details": "https://api.beluga.insectai.org/api/v2/projects/105/?format=api", "deployments_count": 1, "created_at": "2025-01-27T10:42:55.148264", "updated_at": "2025-01-27T10:42:55.148280", "image": null, "draft": false, "deployments": [ { "id": 277, "name": "Puang Thong 2 (lake)", "image": null, "details": "https://api.beluga.insectai.org/api/v2/deployments/277/?format=api", "latitude": 0.0, "longitude": 0.0, "events_count": 24, "user_permissions": [] } ], "summary_data": [ { "id": "captures", "title": "Captures", "plots": [ { "title": "Average captures per hour", "data": { "x": [ "6:00 PM", "7:00 PM", "8:00 PM", "9:00 PM", "10:00 PM", "11:00 PM", "12:00 AM", "1:00 AM", "2:00 AM", "3:00 AM", "4:00 AM" ], "y": [ 173.0, 360.0, 349.0, 360.0, 360.0, 360.0, 360.0, 360.0, 360.0, 360.0, 6.0 ], "ticktext": [ "6:00 PM", "4:00 AM" ] }, "type": "bar" }, { "title": "Captures per month", "data": { "x": [ "Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec" ], "y": [ 0, 0, 0, 0, 0, 0, 11442, 45923, 20635, 0, 0, 0 ], "tickvals": [ "Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec" ] }, "type": "bar" } ] }, { "id": "occurrences", "title": "Occurrences", "plots": [ { "title": "Average detections per hour", "data": { "x": [ "7:00 PM", "8:00 PM", "9:00 PM", "10:00 PM", "11:00 PM", "12:00 AM", "1:00 AM", "2:00 AM", "3:00 AM" ], "y": [ 9.0, 44.0, 45.0, 49.0, 46.0, 50.0, 40.0, 40.0, 38.0 ], "ticktext": [ "7:00 PM", "3:00 AM" ] }, "type": "bar" }, { "title": "Occurrences per month", "data": { "x": [ "Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec" ], "y": [ 0, 0, 0, 0, 0, 0, 906, 0, 0, 0, 0, 0 ], "tickvals": [ "Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec" ] }, "type": "bar" } ] }, { "id": "taxa", "title": "Taxa", "plots": [ { "title": "Top species observed", "data": { "x": [ 42, 864 ], "y": [ "Not Lepidoptera", "Moth" ] }, "type": "bar", "orientation": "h" }, { "title": "Unique species per month", "data": { "x": [ "Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec" ], "y": [ 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0 ], "tickvals": [ "Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec" ] }, "type": "bar" } ] } ], "owner": { "id": 1, "name": "Michael Bunsen", "image": null, "details": "https://api.beluga.insectai.org/api/v2/users/1/?format=api", "user_permissions": [] }, "feature_flags": { "tags": false, "reprocess_existing_detections": false, "default_filters": false, "reprocess_all_images": false, "async_pipeline_workers": false }, "settings": { "default_filters_exclude_taxa": [], "default_filters_include_taxa": [], "default_filters_score_threshold": 0.5, "default_processing_pipeline": null, "session_time_gap_seconds": 7200, "user_permissions": [] }, "is_member": false, "user_permissions": [] }